> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Partial update data source

> Partially update a data source connection.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ patch /api/v1/sources/{id}/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/sources/{id}/:
    patch:
      tags:
        - sources
      summary: Partial update data source
      description: Partially update a data source connection.
      operationId: sources_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedSourcePartialUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Connection'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponsePartialUpdate'
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PatchedSourcePartialUpdateRequest:
      type: object
      properties:
        account_name:
          type: string
          minLength: 1
          description: New display name for the connection
    Connection:
      type: object
      description: Serializer for Connection model.
      properties:
        id:
          type: integer
          readOnly: true
        account_name:
          type: string
          maxLength: 255
        type:
          enum:
            - SUPABASE
            - POSTGRES
            - MYSQL
            - BIGQUERY
            - DATABRICKS
            - FILE
            - MOTHERDUCK
            - CLICKHOUSE
            - MONGODB
            - MIXPANEL
            - SINGLESTORE
            - GOOGLE_SHEETS
            - MSSQL
            - SNOWFLAKE
            - MCP
          type: string
          description: |-
            * `SUPABASE` - Supabase
            * `POSTGRES` - Postgres
            * `MYSQL` - MySQL
            * `BIGQUERY` - BigQuery
            * `DATABRICKS` - Databricks
            * `FILE` - File Upload
            * `MOTHERDUCK` - MotherDuck
            * `CLICKHOUSE` - ClickHouse
            * `MONGODB` - MongoDB
            * `MIXPANEL` - Mixpanel
            * `SINGLESTORE` - SingleStore
            * `GOOGLE_SHEETS` - Google Sheets
            * `MSSQL` - SQL Server
            * `SNOWFLAKE` - Snowflake
            * `MCP` - MCP
          x-spec-enum-id: 6a5026fde128fdd3
        created_at:
          type: string
          format: date-time
          readOnly: true
        is_fully_configured:
          type: boolean
          readOnly: true
      required:
        - account_name
        - created_at
        - id
        - is_fully_configured
        - type
    NotFoundResponsePartialUpdate:
      type: object
      properties:
        detail:
          type: string
          description: Not found error message
      required:
        - detail
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````